For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get import template details

Get import template details. When includeLayouts is true, the response contains all layouts for the template. If includeConversions is also true, the response also contains all conversions for every layout. includeConversions is only honored if includeLayouts is true

Required permissions: IMPORT

get
/tenants/{tenantUid}/imports/templates/{importTemplateUid}
Authorizations
AuthorizationstringRequired

Token received from the auth service

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
importTemplateUidstringRequired

Reference to a import template.

Pattern: ^[A-Za-z0-9-_]+
Query parameters
includeLayoutsbooleanOptional

Include layouts in response

includeConversionsbooleanOptional

Include conversions in response

Responses
200

Example response

application/json
templateUidstringRequiredPattern: ^[A-Za-z0-9-_]+
namestringRequired
descriptionstringRequired
createdBystringRequired
createdAtstring · date-timeRequired
lastModifiedBystringRequired
lastModifiedAtstring · date-timeRequired
entitystring · enum · min: 1Required
ENUMDescription
PRODUCTSImport products
PRICESImport prices
PRODUCT_GROUPSImport product groups
BRANDSImport brands
CUSTOMERSImport customers
STOCKImport stock values
SUPPLIER_PRODUCTImport Product supplier information
SUPPLIERSImport suppliers
Possible values:
importFormatstring · enum · min: 1Required
ENUMDescription
EXCELXLS file
Possible values:
get/tenants/{tenantUid}/imports/templates/{importTemplateUid}
GET /v2/tenants/{tenantUid}/imports/templates/{importTemplateUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "templateUid": "text",
  "name": "text",
  "description": "text",
  "createdBy": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedBy": "text",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "layouts": [
    {
      "layoutUid": "text",
      "createdBy": "text",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "lastModifiedBy": "text",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "conversions": [
        {
          "conversionUid": "text",
          "createdAt": "2026-01-01T00:00:00.000Z",
          "createdBy": "text",
          "lastModifiedAt": "2026-01-01T00:00:00.000Z",
          "lastModifiedBy": "text",
          "fromValue": "text",
          "toValue": "text"
        }
      ],
      "fieldName": "text",
      "value": "text"
    }
  ],
  "entity": "PRODUCTS",
  "importFormat": "EXCEL",
  "fields": [
    {
      "name": "text",
      "type": "text",
      "allowedValues": [
        "text"
      ],
      "createUsage": {
        "usage": "REQUIRED",
        "requiredExchangeableWith": [
          "text"
        ]
      },
      "updateUsage": {
        "usage": "REQUIRED",
        "requiredExchangeableWith": [
          "text"
        ]
      }
    }
  ]
}

Last updated

Was this helpful?